import request from '@/utils/request'

// 查询数据列表
export function getApprovalrequestList(query) {
  return request({
    url: '/admin/wf_approvalrequest/listpage',
    method: 'get',
    params: query
  })
}
// 查询审批模型
export function getAllModel() {
  return request({
    url: '/admin/wf_approvalmodel/allmodels',
    method: 'get'
  })
}
// 查询单条
export function getApprovalrequest(params) {
  return request({
    url: '/admin/wf_approvalrequest/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addApprovalrequest(data) {
  return request({
    url: '/admin/wf_approvalrequest/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateApprovalrequest(data) {
  return request({
    url: '/admin/wf_approvalrequest/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delApprovalrequest(id) {
  return request({
    url: `/admin/wf_approvalrequest/del?approvalrequestid=${id}`,
    method: 'delete'
  })
}

// 新增
export function addApprovalDetail(data) {
  return request({
    url: '/admin/wf_approvalrequest/adddetail',
    method: 'post',
    data: data
  })
}

// 修改
export function updateApprovalDetail(data) {
  return request({
    url: '/admin/wf_approvalrequest/updetail',
    method: 'put',
    data: data
  })
}

// 删除
export function delApprovalDetail(detailid) {
  return request({
    url: `/admin/wf_approvalrequest/deldetail?detailid=${detailid}`,
    method: 'delete'
  })
}

// 查询单条
export function getApprovalDetail(params) {
  return request({
    url: '/admin/wf_approvalrequest/selectdetail',
    method: 'get',
    params: params
  })
}
