import request from '@/utils/request'

// 查询数据列表
export function getAccesscardList(query) {
  return request({
    url: '/admin/accesscardtab/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getAccesscard(params) {
  return request({
    url: '/admin/accesscardtab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addAccesscard(data) {
  return request({
    url: '/admin/accesscardtab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateAccesscard(data) {
  return request({
    url: '/admin/accesscardtab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delAccesscard(cid, id) {
  return request({
    url: `/admin/accesscardtab/del?cid=${cid}&accesscardid=${id}`,
    method: 'delete'
  })
}
