import request from '@/utils/request'

// 查询数据列表
export function getBuildingList(query) {
  return request({
    url: '/admin/buildingtab/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getBuilding(params) {
  return request({
    url: '/admin/buildingtab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addBuilding(data) {
  return request({
    url: '/admin/buildingtab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateBuilding(data) {
  return request({
    url: '/admin/buildingtab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delBuilding(cid, id) {
  return request({
    url: `/admin/buildingtab/del?cid=${cid}&buildingid=${id}`,
    method: 'delete'
  })
}
