import request from '@/utils/request'

// 查询数据列表
export function getCarportList(query) {
  return request({
    url: '/admin/carporttab/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getCarport(params) {
  return request({
    url: '/admin/carporttab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addCarport(data) {
  return request({
    url: '/admin/carporttab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateCarport(data) {
  return request({
    url: '/admin/carporttab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delCarport(cid, id) {
  return request({
    url: `/admin/carporttab/del?cid=${cid}&carportid=${id}`,
    method: 'delete'
  })
}
