import request from '@/utils/request'

// 查询数据列表
export function getCourtList(query) {
  return request({
    url: '/admin/courttab/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getCourt(params) {
  return request({
    url: '/admin/courttab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addCourt(data) {
  return request({
    url: '/admin/courttab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateCourt(data) {
  return request({
    url: '/admin/courttab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delCourt(cid) {
  return request({
    url: `/admin/courttab/del?cid=${cid}`,
    method: 'delete'
  })
}
