import request from '@/utils/request'

// 查询数据列表
export function getAssetList(query) {
  return request({
    url: '/admin/assettab/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getAsset(params) {
  return request({
    url: '/admin/assettab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addAsset(data) {
  return request({
    url: '/admin/assettab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateAsset(data) {
  return request({
    url: '/admin/assettab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delAsset(cid, id) {
  return request({
    url: `/admin/assettab/del?cid=${cid}&assetid=${id}`,
    method: 'delete'
  })
}
