import request from '@/utils/request'

// 查询数据列表
export function getPropertyTypeList(query) {
  return request({
    url: '/admin/propertytypetab/listpage',
    method: 'get',
    params: query
  })
}

// 查询单条
export function getPropertyType(params) {
  return request({
    url: '/admin/propertytypetab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addPropertyType(data) {
  return request({
    url: '/admin/propertytypetab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updatePropertyType(data) {
  return request({
    url: '/admin/propertytypetab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delPropertyType(cid, id) {
  return request({
    url: `/admin/propertytypetab/del?cid=${cid}&propertytypeid=${id}`,
    method: 'delete'
  })
}
