import request from '@/utils/request'

export function getAccesscardTab(params) {
  return request({
    url: '/admin/accesscardtab/searchinfo',
    method: 'get',
    params: params
  })
}

export function getCarportTab(params) {
  return request({
    url: '/admin/carporttab/searchinfo',
    method: 'get',
    params: params
  })
}

export function getPropertyTab(params) {
  return request({
    url: '/admin/propertytab/searchinfo',
    method: 'get',
    params: params
  })
}
// 新增
export function addContract(data) {
  return request({
    url: '/admin/contracttab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateContract(data) {
  return request({
    url: '/admin/contracttab/upinfo',
    method: 'put',
    data: data
  })
}

export function getChargeTab(params) {
  return request({
    url: '/admin/chargetab/listpage',
    method: 'get',
    params: params
  })
}

export function updateFinancial(data) {
  return request({
    url: '/admin/chargetab/upinfo',
    method: 'put',
    data: data
  })
}

export function delFee(data, serialnumber) {
  return request({
    url: `/admin/chargetab/del?chargenr=${data}&serialnumber=${serialnumber}`,
    method: 'delete'
  })
}

export function getDeleteRecord(params) {
  return request({
    url: '/admin/chargetab/recordlist',
    method: 'get',
    params: params
  })
}

// 获取缴费金额
export function getCountMoney (params) {
	return request({
		url: '/admin/chargetab/countmoney',
		method: 'get',
		params: params
	})
}

// 获取顺序号
export function getNextsnr(params){
  return request({
		url: '/admin/snrtab/nextsnr',
		method: 'get',
		params: params
	})
}