import request from '@/utils/request'

// 查询生成表数据
export function getYearList (query) {
	return request({
		url: '/admin/chargetab/totalyear',
		method: 'get',
		params: query
	})
}

export function getBuildingList (query) {
	return request({
		url: '/admin/chargetab/totalbuilding',
		method: 'get',
		params: query
	})
}

export function getExpireList (query) {
	return request({
		url: '/admin/chargetab/datapage',
		method: 'get',
		params: query
	})
}

export function exportExpireList (query) {
	return request({
		url: '/admin/chargetab/readexcel',
		method: 'get',
		params: query
	})
}

export function exportYearList (query) {
	return request({
		url: '/admin/chargetab/readyearexcel',
		method: 'get',
		params: query
	})
}

export function exportBuildingList (query) {
	return request({
		url: '/admin/chargetab/readbuildexcel',
		method: 'get',
		params: query
	})
}

export function exportFinancialList (query) {
	return request({
		url: '/admin/chargetab/readdataexcel',
		method: 'get',
		params: query
	})
}

//获取当年和陈欠缴费数据接口
export function getStatistic (query) {
	return request({
		url: '/admin/chargetab/statistic',
		method: 'get',
		params: query
	})
}

//按日期和缴费类型获取缴费统计数据
export function getChargeTypeList (query) {
	return request({
		url: '/admin/chargetab/type/list',
		method: 'get',
		params: query
	})
}

//按日期和缴费类型导出缴费统计数据
export function exportList (query) {
	return request({
		url: '/admin/chargetab/readtypeexcel',
		method: 'get',
		params: query
	})
}

// 查询生成表数据
export function getOweChargeTotal (query) {
	return request({
		url: '/admin/chargetab/owechargetotal',
		method: 'get',
		params: query
	})
}

// 单园区月收费流水数据统计
export function chargeTotalPage (query) {
	return request({
		url: '/admin/chargetab/chargetotalpage',
		method: 'get',
		params: query
	})
}

// 单园区近年收费流水统计
export function totalChargeByYear (query) {
	return request({
		url: '/admin/chargetab/totalchargebyyear',
		method: 'get',
		params: query
	})
}

// 单园区物业收费率数据统计
export function propertyFeeData (query) {
	return request({
		url: '/admin/chargetab/propertyfeedata',
		method: 'get',
		params: query
	})
}

// 多园区物业费数据对比
export function communityChargeTotal (query) {
	return request({
		url: '/admin/chargetab/communitychargetotal',
		method: 'get',
		params: query
	})
}

// 多园区报销数据统计
export function totalChargebyCommunity (query) {
	return request({
		url: '/admin/chargetab/totalchargebycommunity',
		method: 'get',
		params: query
	})
}

// 单园区报销数据统计
export function totalCatapply (query) {
	return request({
		url: '/admin/chargetab/totalcatapply',
		method: 'get',
		params: query
	})
}