import request from '@/utils/request'

// 查询数据列表
export function getStdeftabList(query) {
  return request({
    url: '/admin/stdeftab/listpage',
    method: 'get',
    params: query
  })
}

// 查询数据详细
export function getStdeftab(params) {
  return request({
    url: '/admin/stdeftab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addStdeftab(data) {
  return request({
    url: '/admin/stdeftab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateStdeftab(data) {
  return request({
    url: '/admin/stdeftab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delStdeftab(cid, statid, stdeftyp, lang) {
  return request({
    url: `/admin/stdeftab/del?cid=${cid}&statid=${statid}&stdeftyp=${stdeftyp}&lang=${lang}`,
    method: 'delete'
  })
}
